Mercury API
Reader..::.SettingFilter Delegate
Namespaces ► ThingMagic ► Reader ► Reader..::.SettingFilter
Parameter setting filter. Modifies parameter value on the way in or out of the Setting object.
Declaration Syntax

C# | Visual Basic | Visual C++

    protected delegate Object SettingFilter(
    	Object value
    )

    Protected Delegate Function SettingFilter ( _
    	value As Object _
    ) As Object

    protected delegate Object^ SettingFilter(
    	Object^ value
    )

Parameters

value (Object)
  Input parameter: For get, this comes from Setting.Value. For set, this is the input argument to the Set method.

Return Value
Filtered parameter: For get, this object will be presented to the user. For set, this object will be saved in Setting.Value.

Assembly: MercuryAPI (Module: MercuryAPI) Version: 1.29.4.34 (1.29.4.34)